io.agora.rtc

## Enum Constants.MediaSourceType

- java.lang.Object
- - java.lang.Enum<Constants.MediaSourceType>
  - - io.agora.rtc.Constants.MediaSourceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.MediaSourceType>
  Enclosing class:
    Constants

      public static enum Constants.MediaSourceType
      extends java.lang.Enum<Constants.MediaSourceType>

  The type of media device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO_PLAYOUT_SOURCE` 0: The audio playback device.
    `AUDIO_RECORDING_SOURCE` 1: Microphone.
    `CUSTOM_VIDEO_SOURCE` 6: Video captured by custom video source.
    `MEDIA_PLAYER_SOURCE` 7: Video for media player sharing.
    `PRIMARY_CAMERA_SOURCE` 2: Video captured by primary camera.
    `PRIMARY_SCREEN_SOURCE` 4: Video captured by primary screen capturer.
    `REMOTE_VIDEO_SOURCE` 11: Remote video received from network.
    `RTC_IMAGE_GIF_SOURCE` 10: Video for gif image.
    `RTC_IMAGE_JPEG_SOURCE` 9: Video for jpeg image.
    `RTC_IMAGE_PNG_SOURCE` 8: Video for png image.
    `SECONDARY_CAMERA_SOURCE` 3: Video captured by secondary camera.
    `SECONDARY_SCREEN_SOURCE` 5: Video captured by secondary screen capturer.
    `TRANSCODED_VIDEO_SOURCE` 12: Video for transcoded.
    `UNKNOWN_MEDIA_SOURCE` 100: unknown media source.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the media source type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.MediaSourceType type)` Gets the integer value of the media source type.
    `static Constants.MediaSourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.MediaSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUDIO_PLAYOUT_SOURCE

          public static final Constants.MediaSourceType AUDIO_PLAYOUT_SOURCE

      0: The audio playback device.

    - #### AUDIO_RECORDING_SOURCE

          public static final Constants.MediaSourceType AUDIO_RECORDING_SOURCE

      1: Microphone.

    - #### PRIMARY_CAMERA_SOURCE

          public static final Constants.MediaSourceType PRIMARY_CAMERA_SOURCE

      2: Video captured by primary camera.

    - #### SECONDARY_CAMERA_SOURCE

          public static final Constants.MediaSourceType SECONDARY_CAMERA_SOURCE

      3: Video captured by secondary camera.

    - #### PRIMARY_SCREEN_SOURCE

          public static final Constants.MediaSourceType PRIMARY_SCREEN_SOURCE

      4: Video captured by primary screen capturer.

    - #### SECONDARY_SCREEN_SOURCE

          public static final Constants.MediaSourceType SECONDARY_SCREEN_SOURCE

      5: Video captured by secondary screen capturer.

    - #### CUSTOM_VIDEO_SOURCE

          public static final Constants.MediaSourceType CUSTOM_VIDEO_SOURCE

      6: Video captured by custom video source.

    - #### MEDIA_PLAYER_SOURCE

          public static final Constants.MediaSourceType MEDIA_PLAYER_SOURCE

      7: Video for media player sharing.

    - #### RTC_IMAGE_PNG_SOURCE

          public static final Constants.MediaSourceType RTC_IMAGE_PNG_SOURCE

      8: Video for png image.

    - #### RTC_IMAGE_JPEG_SOURCE

          public static final Constants.MediaSourceType RTC_IMAGE_JPEG_SOURCE

      9: Video for jpeg image.

    - #### RTC_IMAGE_GIF_SOURCE

          public static final Constants.MediaSourceType RTC_IMAGE_GIF_SOURCE

      10: Video for gif image.

    - #### REMOTE_VIDEO_SOURCE

          public static final Constants.MediaSourceType REMOTE_VIDEO_SOURCE

      11: Remote video received from network.

    - #### TRANSCODED_VIDEO_SOURCE

          public static final Constants.MediaSourceType TRANSCODED_VIDEO_SOURCE

      12: Video for transcoded.

    - #### UNKNOWN_MEDIA_SOURCE

          public static final Constants.MediaSourceType UNKNOWN_MEDIA_SOURCE

      100: unknown media source.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the media source type

  - ### Method Detail

    - #### values

          public static Constants.MediaSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.MediaSourceType c : Constants.MediaSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.MediaSourceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.MediaSourceType type)

      Gets the integer value of the media source type.
      Parameters:
        `type` - Media source type
      Returns:
        The integer value